# hush bootscript for MnX270 boards
# system restore

# note: Use a forwardslash (/) to separate components in paths, backslash (\) is not supported
#       Use UNIX fileformat (return character)


if test $RstType = coldboot; then

	# show startup picture
	setenv DisplayType Jetter_Aktiv
	setenv Bpp 16
	setenv CxScreen 320
	setenv CyScreen 240
	setenv BL_Invert 1
	setenv BL_AC 100
	setenv BG_Picture  Rest8.bmp
	prun MnDis

	# running system backup
	prun DImage /FILESRC:DOC.img /WINTRG:0
	if test $? > 0; then 
  	 echo system backup failed, errorcode=$errorcode
  	 sled --on=150 --off=250 --prate=10 --cycleoff=1400
  	 exit 1;
	fi
	
	# Reset the device
	reset
else
	# Start the new image
	cd /BootPart
	fload startup.sh
	scrrun $filesize
fi