# hush bootscript for MnX270 boards
# system backup

# note: Use a forwardslash (/) to separate components in paths, backslash (\) is not supported
#       Use UNIX fileformat (return character)

# show startup picture
setenv DisplayType Jetter_Aktiv
setenv Bpp 16
setenv CxScreen 320
setenv CyScreen 240
setenv BL_Invert 1
setenv BL_AC 100
setenv BG_Picture  Backup8.bmp
prun MnDis

# running system backup
prun DImage /WINSRC:0 /FILETRG:DOC.img
if test $? > 0; then 
   echo system backup failed, errorcode=$errorcode
   sled --on=150 --off=250 --prate=10 --cycleoff=1400
   rm DOC.img
   exit 1;
fi

# Replace startup.sh with restore.sh
prun copy /SRC:restore.sh /TRG:startup.sh /CA
if test $? > 0; then 
	echo coping restore.sh failed, errorcode=$errorcode
	sled --on=150 --off=250 --prate=10 --cycleoff=1400
	exit 1;
fi

#remove old files
rm restore.sh
rm Backup8.bmp
rm copy

# starting /BootPart/startup.sh
cd /BootPart
fload startup.sh
scrrun $filesize